<div>
  LHS: <input type="number" [(ngModel)]="lhs" class="mr-2"
              [class.error]="lhs < 2" (change)="compute()" />
  RHS: <input type="number" [(ngModel)]="rhs" class="mr-2"
              [class.error]="rhs < 2" (change)="compute()" />

  <button type="button" (click)="compute()">Compute</button>
</div>
